summaryrefslogtreecommitdiff
path: root/tests/install
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install')
-rwxr-xr-xtests/install/basic-1.sh6
-rwxr-xr-xtests/install/create-leading.sh2
-rwxr-xr-xtests/install/d-slashdot.sh2
-rwxr-xr-xtests/install/install-C-root.sh2
-rwxr-xr-xtests/install/install-C-selinux.sh2
-rwxr-xr-xtests/install/install-C.sh6
-rwxr-xr-xtests/install/strip-program.sh6
-rwxr-xr-xtests/install/trap.sh2
8 files changed, 14 insertions, 14 deletions
diff --git a/tests/install/basic-1.sh b/tests/install/basic-1.sh
index 0c0d1de8..db3b3c31 100755
--- a/tests/install/basic-1.sh
+++ b/tests/install/basic-1.sh
@@ -1,7 +1,7 @@
#! /bin/sh
# Basic tests for "install".
-# Copyright (C) 1998-2014 Free Software Foundation, Inc.
+# Copyright (C) 1998-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -80,8 +80,8 @@ iwd=$(pwd)
mkdir sub || fail=1
(cd sub &&
chmod 0 . &&
- ginstall -d "$iwd/xx/yy" rel/sub1 rel/sub2 2> /dev/null
-) && fail=1
+ returns_ 1 ginstall -d "$iwd/xx/yy" rel/sub1 rel/sub2 2> /dev/null
+) || fail=1
chmod 755 sub
# Ensure that the first argument-dir has been created.
diff --git a/tests/install/create-leading.sh b/tests/install/create-leading.sh
index 0bff21db..c9cb1dc2 100755
--- a/tests/install/create-leading.sh
+++ b/tests/install/create-leading.sh
@@ -1,7 +1,7 @@
#! /bin/sh
# Test -D option.
-# Copyright (C) 2000-2014 Free Software Foundation, Inc.
+# Copyright (C) 2000-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/tests/install/d-slashdot.sh b/tests/install/d-slashdot.sh
index 044b8bf5..eeb62ae9 100755
--- a/tests/install/d-slashdot.sh
+++ b/tests/install/d-slashdot.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that ginstall -d works with arguments specified with a trailing "/.".
-# Copyright (C) 2005-2014 Free Software Foundation, Inc.
+# Copyright (C) 2005-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/tests/install/install-C-root.sh b/tests/install/install-C-root.sh
index 473725af..cadc8e22 100755
--- a/tests/install/install-C-root.sh
+++ b/tests/install/install-C-root.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure "install -C" compares owner and group.
-# Copyright (C) 2008-2014 Free Software Foundation, Inc.
+# Copyright (C) 2008-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/tests/install/install-C-selinux.sh b/tests/install/install-C-selinux.sh
index 722e5b01..06e6c025 100755
--- a/tests/install/install-C-selinux.sh
+++ b/tests/install/install-C-selinux.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure "install -C" compares SELinux context.
-# Copyright (C) 2008-2014 Free Software Foundation, Inc.
+# Copyright (C) 2008-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/tests/install/install-C.sh b/tests/install/install-C.sh
index 9ee1685a..630005c8 100755
--- a/tests/install/install-C.sh
+++ b/tests/install/install-C.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure "install -C" works. (basic tests)
-# Copyright (C) 2008-2014 Free Software Foundation, Inc.
+# Copyright (C) 2008-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -107,9 +107,9 @@ ginstall -Cv -m$mode2 a b > out || fail=1
compare out out_empty || fail=1
# options -C and --preserve-timestamps are mutually exclusive
-ginstall -C --preserve-timestamps a b && fail=1
+returns_ 1 ginstall -C --preserve-timestamps a b || fail=1
# options -C and --strip are mutually exclusive
-ginstall -C --strip --strip-program=echo a b && fail=1
+returns_ 1 ginstall -C --strip --strip-program=echo a b || fail=1
Exit $fail
diff --git a/tests/install/strip-program.sh b/tests/install/strip-program.sh
index 874329ae..103f5494 100755
--- a/tests/install/strip-program.sh
+++ b/tests/install/strip-program.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure "install -s --strip-program=PROGRAM" uses the program to strip
-# Copyright (C) 2008-2014 Free Software Foundation, Inc.
+# Copyright (C) 2008-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,7 +22,7 @@ print_ver_ ginstall
working_umask_or_skip_
cat <<EOF > b || framework_failure_
-#!$PREFERABLY_POSIX_SHELL
+#!$SHELL
sed s/b/B/ \$1 > \$1.t && mv \$1.t \$1
EOF
chmod a+x b || framework_failure_
@@ -34,7 +34,7 @@ ginstall src dest -s --strip-program=./b || fail=1
compare exp dest || fail=1
# Check that install cleans up properly if strip fails.
-ginstall src dest2 -s --strip-program=./FOO && fail=1
+returns_ 1 ginstall src dest2 -s --strip-program=./FOO || fail=1
test -e dest2 && fail=1
Exit $fail
diff --git a/tests/install/trap.sh b/tests/install/trap.sh
index 235cd1d1..0851ba62 100755
--- a/tests/install/trap.sh
+++ b/tests/install/trap.sh
@@ -2,7 +2,7 @@
# Ensure that 'install -s' doesn't infloop when its parent
# process traps CHLD signal.
-# Copyright (C) 2004-2014 Free Software Foundation, Inc.
+# Copyright (C) 2004-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by